Get all applications in the specified workspace
get
/apex/workspaces/{workspace_name}/applications/
Returns information about the Oracle APEX applications available in the specified workspace. This endpoint is a convenience. The same information can be retreived using /apex/applications/?q={"workspace_display_name":"EXAMPLE_WORKSPACE"} endpoint. A client requires SQL Administrator role to invoke this service.
Request
Path Parameters
-
workspace_name(required): string
Display name of the workspace.
Query Parameters
-
limit: integer(int32)
The maximum number of records to return.
-
q:
Filtering is the process of limiting a collection resource by using a per-request dynamic filter definition across multiple page resources, where each page contains a subset of items found in the complete collection. Filtering enables efficient traversal of large collections.Examples
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
All Oracle APEX applications in the workspace.
Root Schema : APEXApplications
Type:
objectThis object represents data from APEX_APPLICATIONS view.
Show Source
-
count: integer
Total number of records in the current response.
-
hasMore: boolean
Indicates if there are more records to be retrieved.
-
items: array
items
-
limit: integer
The actual page size limit on number of records applied by the server.
-
links: array
links
-
offset: integer
The actual index from which the item resources are returned.
Nested Schema : items
Type:
Show Source
array-
Array of:
object APEXApplicationsItem
This object represents a single row on APEX_APPLICATIONS.
Nested Schema : APEXApplicationsItem
Type:
objectThis object represents a single row on APEX_APPLICATIONS.
Show Source
-
application_alias: string
The alternate alphanumeric application identifier.
-
application_group: string
The alternate alphanumeric application identifier.
-
application_id: integer
Application Primary Key, Unique over all workspaces.
-
application_name: string
The name of this application.
-
application_owner: string
The alternate alphanumeric application identifier.
-
availability_status: string
Specifies whether or not the application is available or unavailable for use.
-
last_updated_by: string
Last updated by.
-
last_updated_on: string
The date and time of the last update.
-
links: array
links
-
page_count: integer
Number of application pages.
-
workspace: string
The internal name of the workspace.
Examples